%global srcname plum-py
%bcond_with bootstrap

Name:           python-%{srcname}
Version:        0.8.0
Release:        3
Summary:        Pack/Unpack Memory.
License:        MIT
URL:            https://pypi.org/project/plum-py/
Source0:        https://files.pythonhosted.org/packages/63/3e/8f54cedec888fe4ba74c8a934751f268c39f5a0858e58702fdf703a41229/plum-py-0.8.0.tar.gz
Patch0:		modify_python_require.patch

BuildArch:      noarch

%description
The plum-py Python package provides classes and utility functions to transform byte sequences into Python objects and back. 

%package -n     python3-plum-py
Summary:        Pack/Unpack Memory.
Requires:	python3 >= 3.11.4
BuildRequires:  python3-pytest
BuildRequires:  python3-rpm-generators

%description -n python3-plum-py
The plum-py Python package provides classes and utility functions to transform byte sequences into Python objects and back. 

%prep
%autosetup -n plum-py-%{version} -p1

%build
%py3_build

%install
%py3_install

#%check
#%{__python3} -m pytest tests/

%files -n python3-plum-py
%doc PKG-INFO
%{python3_sitelib}/*

%changelog
* Mon Aug 21 2023 wangjunqi <wangjunqi@kylinos.cn> - 0.8.0-3
- fix build problem

* Mon Jun 6 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.8.0-2
- Add BuildRequires : python3-rpm-generators

* Fri May 6 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.8.0-1
- Initial Packaging
